package com.lib_nfc.cpu.bean;

import java.util.ArrayList;

/**
 * Description: $
 *
 * @author xwh
 * time 2024/9/13
 **/
public class AmpeRequestCPUCardBean {

    int intervalTime = 1000;
    private String commandApdu;//adpu命令
    private ArrayList<String> commandApdus;//adpu命令
    private int type; //1-CPU卡命令，2-PSAM卡命令
    private int beep; //蜂鸣器时长
    private int slot; //CPU卡选择PSAM卡槽
    private boolean isComeBackFailed;


    public int getIntervalTime() {
        return intervalTime;
    }

    public void setIntervalTime(int intervalTime) {
        this.intervalTime = intervalTime;
    }

    public String getCommandApdu() {
        return commandApdu;
    }

    public void setCommandApdu(String commandApdu) {
        this.commandApdu = commandApdu;
    }

    public ArrayList<String> getCommandApdus() {
        return commandApdus;
    }

    public void setCommandApdus(ArrayList<String> commandApdus) {
        this.commandApdus = commandApdus;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getBeep() {
        return beep;
    }

    public void setBeep(int beep) {
        this.beep = beep;
    }

    public int getSlot() {
        return slot;
    }

    public void setSlot(int slot) {
        this.slot = slot;
    }

    public boolean isComeBackFailed() {
        return isComeBackFailed;
    }

    public void setComeBackFailed(boolean comeBackFailed) {
        isComeBackFailed = comeBackFailed;
    }
}
